//
//  ViewController.swift
//  SkeletonCrash
//
//  Created by Mina Maged on 2/24/20.
//  Copyright © 2020 Mina Maged. All rights reserved.
//

import UIKit
import SkeletonView

class ViewController: UIViewController, UITableViewDelegate, UITableViewDataSource, SkeletonTableViewDelegate, SkeletonTableViewDataSource {
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        return tableView.dequeueReusableCell(withIdentifier: "cell") ?? UITableViewCell()
    }
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return items.count
    }
    
    func collectionSkeletonView(_ skeletonView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 10
    }
    
    func collectionSkeletonView(_ skeletonView: UITableView, cellIdentifierForRowAt indexPath: IndexPath) -> ReusableCellIdentifier {
        return "cell"
    }
    
    var items : [Int] = []

    @IBOutlet weak var theTable: UITableView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.startSkeleton()
        print("skeleton started")
        DispatchQueue.main.asyncAfter(deadline: .now() + 5.0) {
            self.items = [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20]
            self.theTable.reloadData()
            self.stopSkeleton()
            print("skeleton stopped")
        }
    }
    
    func startSkeleton() {
        
        view.showAnimatedGradientSkeleton()
        view.startSkeletonAnimation()
    }
    
    func stopSkeleton() {
        
        view.hideSkeleton()
        view.stopSkeletonAnimation()
    }

    @IBAction func pressedButton(_ sender: Any) {
        let theMainStoryBoard = UIStoryboard.init(name: "Main", bundle: nil)
        let vc = theMainStoryBoard.instantiateViewController(withIdentifier: "DatePickerViewController") as! DatePickerViewController
        self.show(vc, sender: self)
    }
    
}

